classification
Title: 2to3 doesn't handle print(whatever); print nor string.* functions
Type: behavior Stage:
Components: 2to3 (2.x to 3.x conversion tool) Versions: Python 3.0
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: collinwinter Nosy List: benjamin.peterson, collinwinter, mark
Priority: normal Keywords:

Created on 2008-05-29 14:21 by mark, last changed 2008-09-12 23:50 by benjamin.peterson. This issue is now closed.

Messages (2)
msg67493 - (view) Author: Mark Summerfield (mark) * Date: 2008-05-29 14:20
Py30a5

2to3 currently does not cope correctly with this:

    print whatever; print

which it converts to:

    print(whatever); print

This is a subtle error since "print" on its own is valid.

Nor does it replace the deprecated string functions,
string.capitalize(), string.count(), string.join(), string.lower(),
string.replace(), string.split(), and string.strip().
msg73153 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2008-09-12 23:50
The print problem was fixed in r66418. The string problem is a duplicate
of #2899.
History
Date User Action Args
2008-09-12 23:50:00benjamin.petersonsetstatus: open -> closed
nosy: + benjamin.peterson
resolution: fixed
messages: + msg73153
2008-07-01 15:52:24marksettype: behavior
2008-05-29 14:21:30markcreate